<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2013, 2016 Michael Catanzaro and contributors -->
<component type="desktop-application">
  <id>org.gnome.Calculator</id>
  <metadata_license>CC0-1.0</metadata_license>
  <project_license>GPL-3.0-or-later</project_license>
  <name>Calculator</name>
  <name xml:lang="tr">Hesap Makinesi</name>
  <name xml:lang="pt">Calculadora</name>
  <name xml:lang="pl">Kalkulator</name>
  <name xml:lang="it">Calcolatrice</name>
  <name xml:lang="hu">Számológép</name>
  <name xml:lang="fr">Calculatrice</name>
  <name xml:lang="es">Calculadora</name>
  <name xml:lang="en-GB">Calculator</name>
  <name xml:lang="de">Taschenrechner</name>
  <summary>Perform arithmetic, scientific or financial calculations</summary>
  <summary xml:lang="tr">Aritmetik, bilimsel ve finansal hesaplamalar gerçekleştirir</summary>
  <summary xml:lang="pt">Realize cálculos aritméticos, científicos ou financeiros</summary>
  <summary xml:lang="pl">Wykonanie obliczeń arytmetycznych, naukowych lub finansowych</summary>
  <summary xml:lang="it">Esegue calcoli aritmetici, scientifici e finanziari</summary>
  <summary xml:lang="hu">Aritmetikai, tudományos vagy pénzügyi számítások végrehajtása</summary>
  <summary xml:lang="fr">Effectue des calculs arithmétiques, scientifiques ou financiers</summary>
  <summary xml:lang="es">Realice cálculos aritméticos, científicos o financieros</summary>
  <summary xml:lang="en-GB">Perform arithmetic, scientific or financial calculations</summary>
  <summary xml:lang="de">Arithmetische, wissenschaftliche und finanztechnische Berechnungen durchführen</summary>
  <description>
    <p>
      Calculator is an application that solves mathematical equations.
      Though it at first appears to be a simple calculator with only basic
      arithmetic operations, you can switch into Advanced, Financial, or
      Programming mode to find a surprising set of capabilities.
    </p>
    <p xml:lang="tr">Hesap Makinesi matematiksel denklemleri çözen bir uygulamadır. Başlangıçta yalnızca temel aritmetik işlemleri yapabileceğiniz basit hesap makinesi gibi görünse de Gelişmiş, Finansal ve Programlama kiplerine geçerek şaşırtıcı türlü yeteneklerini bulabilirsiniz.</p>
    <p xml:lang="pt">A Calculadora é uma aplicação que resolve equações matemáticas. Apesar de à primeira vista parecer uma simples calculadora com apenas as funções aritméticas básicas, permite mudar para os modos Avançado, Financeiro ou de Programação, que proporcionam um surpreendente número de capacidades.</p>
    <p xml:lang="pl">Kalkulator jest programem rozwiązującym równania matematyczne. Mimo że na pierwszy rzut oka wydaje się to być prosty kalkulator z podstawowymi działaniami arytmetycznymi, można w każdej chwili włączyć tryb zaawansowany, finansowy lub programistyczny, które mogą zaskoczyć swoimi możliwościami.</p>
    <p xml:lang="it">Calcolatrice è un'applicazione che risolve equazioni matematiche. Anche se a prima vista sembra una semplice calcolatrice adatta solo a basilari operazioni aritmetiche, è possibile selezionare le modalità Avanzata, Finanziaria o Programmazione per scoprire sorprendenti funzionalità.</p>
    <p xml:lang="hu">A Számológép egy matematikai egyenleteket megoldó alkalmazás. Bár első megjelenésekor kizárólag alap számtani műveletekkel rendelkező egyszerű számológépnek tűnik, azonban a speciális, pénzügyi vagy programozói módba történő váltáskor bámulatos képességeket fedezhet fel.</p>
    <p xml:lang="fr">La Calculatrice est une application pour résoudre des équations mathématiques. Bien qu’elle apparaisse initialement comme une simple calculatrice avec uniquement les opérations arithmétiques de base, vous pouvez basculer dans les modes Avancé, Financier ou Programmation pour découvrir un nombre surprenant de fonctionnalités.</p>
    <p xml:lang="es">Calculadora de GNOME es una aplicación que resuelve ecuaciones matemáticas. A primera vista parece una calculadora sencilla con aplicaciones aritméticas básicas, pero puede activar los modos Avanzado, Financiero o Programación para encontrar un sorprendente conjunto de posibilidades.</p>
    <p xml:lang="en-GB">Calculator is an application that solves mathematical equations. Though it at first appears to be a simple calculator with only basic arithmetic operations, you can switch into Advanced, Financial, or Programming mode to find a surprising set of capabilities.</p>
    <p xml:lang="de">Taschenrechner ist ein Programm zum Lösen von mathematischen Gleichungen. Obwohl die Anwendung auf den ersten Blick wie ein simpler Taschenrechner mit nur einfachen arithmetischen Operationen erscheint, kann in einen erweiterten, einen finanztechnischen und einen Informatik-Modus umgeschaltet werden, in denen sich überraschende Fähigkeiten befinden.</p>
    <p>
      The Advanced calculator supports many operations, including:
      logarithms, factorials, trigonometric and hyperbolic functions,
      modulus division, complex numbers, random number generation and prime
      factorization.
    </p>
    <p xml:lang="tr">Gelişmiş hesap makinesi bir çok işlemi destekler, örneğin: logaritmalar, faktöriyeller, trigonometrik ve hiperbolik fonksiyonlar, modüler bölme, karmaşık sayılar, rastgele sayı üretimi ve asal çarpanlara ayırma.</p>
    <p xml:lang="pt">A calculadora avançada suporta muitas operações incluindo: logaritmos, fatoriais, funções trigonométricas e hiperbólicas, modo da divisão, números complexos, geração de números aleatórios, fatoriais de primos.</p>
    <p xml:lang="pl">Zaawansowany kalkulator obsługuje wiele działań, takich jak: logarytmy, silnie, funkcje trygonometryczne i hiperboliczne, dzielenie z resztą, liczby zespolone, generator liczb losowych oraz rozkład na czynniki.</p>
    <p xml:lang="it">La calcolatrice avanzata supporta molte operazioni, tra cui: logaritmi, fattoriali, funzioni trigonometriche e iperboliche, resto di divisioni, numeri complessi, generazione di numeri casuali e scomposizione in fattori primi.</p>
    <p xml:lang="hu">A speciális számológép számos műveletet támogat, beleértve: logaritmus, faktoriális, trigonometriai és hiperbolikus függvények, maradékos osztás, komplex számok, véletlen számok előállítása és prím faktorizálás.</p>
    <p xml:lang="fr">La calculatrice avancée prend en charge beaucoup d’opérations, y compris les logarithmes, les factorielles, les fonctions trigonométriques et hyperboliques, l’opération modulo, les nombres complexes, la génération de nombres aléatoires et la factorisation en nombres premiers.</p>
    <p xml:lang="es">La calculadora avanzada admite muchas operaciones, que incluyen: logaritmos, factoriales, funciones trigonométricas e hiperbólicas, división de módulos, números complejos, generación de números aleatorios y factorización prima.</p>
    <p xml:lang="en-GB">The Advanced calculator supports many operations, including: logarithms, factorials, trigonometric and hyperbolic functions, modulus division, complex numbers, random number generation and prime factorisation.</p>
    <p xml:lang="de">Der erweiterte Taschenrechner unterstützt viele Operationen, darunter: Logarithmus, Fakultät, trigonometrische und hyperbolische Funktionen, Modulo-Division, Berechnung komplexer Zahlen, Zufallszahlengeneration und Primfaktorzerlegung.</p>
    <p>
      Financial mode supports several computations, including periodic interest
      rate, present and future value, double declining and straight line
      depreciation, and many others.
    </p>
    <p xml:lang="tr">Finansal kip çeşitli hesaplamaları destekler, örneğin: dönemsel faiz oranı, mevcut ve gelecekteki değer, çift düşüş ve doğrusal düşüş ve birçok benzer hesaplama.</p>
    <p xml:lang="pt">O modo financeiro suporta vários cálculos, incluindo taxa de juro periódica, valor presente e futuro, depreciação constante e de duplo declínio composta e muitas outras.</p>
    <p xml:lang="pl">Tryb finansowy obsługuje wiele obliczeń, takich jak okresowa stopa procentowa, wartość bieżąca i przyszła, przyspieszona i liniowa amortyzacja oraz wiele innych.</p>
    <p xml:lang="it">La modalità finanziaria supporta diversi calcoli, tra cui il tasso di interesse sul periodo, valore presente e futuro, ammortamento lineare e a dimezzamento annuale, e molti altri.</p>
    <p xml:lang="hu">A pénzügyi mód több számítást támogat, beleértve az időszakos kamatlábat, a jelen- és jövőértéket, a progresszív és a lineáris értékcsökkenési leírást, valamint számos egyéb módszert.</p>
    <p xml:lang="fr">Le mode financier permet plusieurs calculs dont le taux d’intérêt périodique, la valeur présente et future, l’amortissement dégressif et linéaire, et d’autres.</p>
    <p xml:lang="es">El modo financiero soporta varios cálculos, incluyendo tasa de interés periódico, valor presente y futuro, doble declinación y depreciación lineal y muchas otras</p>
    <p xml:lang="en-GB">Financial mode supports several computations, including periodic interest rate, present and future value, double declining and straight line depreciation, and many others.</p>
    <p xml:lang="de">Der finanztechnische Modus unterstützt verschiedene Berechnungen, darunter periodischer Zinssatz, Barwert und zukünftigen Zielwert, degressive Doppelratenabschreibung und lineare Abschreibung und vieles mehr.</p>
    <p>
      Programming mode supports calculations using common bases (binary, octal,
      decimal, and hexadecimal), bitwise operations, two’s complement,
      character to character code conversion, and more.
    </p>
    <p xml:lang="tr">Programlama kipi yaygın sayı tabanlarını (ikilik, sekizlik, onluk ve on altılık) kullanarak hesaplamayı, bit işlemleri, ikinin tümleyenini, karakterden karaktere kod dönüşümü ve daha fazlasını destekler.</p>
    <p xml:lang="pt">O modo de programação suporta cálculos usando bases comuns (binária, octal, decimal e hexadecimal), operações bit a bit, complemento de dois, conversão de código de caractere para caractere e muito mais.</p>
    <p xml:lang="pl">Tryb programistyczny obsługuje obliczenia za pomocą powszechnych systemów liczbowych (dwójkowego, ósemkowego, dziesiętnego i szesnastkowego), działania bitowe, uzupełnienie do dwóch, przeliczanie kodu znaku oraz wiele więcej.</p>
    <p xml:lang="it">La modalità programmazione supporta calcoli effettuati con basi comunemente usate  (binaria, ottale, decimale ed esadecimale), operazioni bit per bit, il complemento a due, la conversione di codici carattere e molto altro.</p>
    <p xml:lang="hu">A programozói mód támogatja a gyakori alapokat (kettes, nyolcas, tízes, tizenhatos) használó számításokat, a bitszintű műveleteket, kettes komplemenseket, karakterből karakterkódra váltásokat, és még sok mást.</p>
    <p xml:lang="fr">Le mode programmation permet de calculer au moyen des bases usuelles (binaire, octale, décimale et hexadécimale), les opérations bit à bit, le complément à deux, la conversion de caractères en codes numériques, et plus encore.</p>
    <p xml:lang="es">El modo de programación admite cálculos utilizando bases comunes (binaria, octal, decimal y hexadecimal), operaciones bit a bit, complemento a dos, conversión de código de carácter a carácter y más.</p>
    <p xml:lang="en-GB">Programming mode supports calculations using common bases (binary, octal, decimal, and hexadecimal), bitwise operations, two’s complement, character to character code conversion and more.</p>
    <p xml:lang="de">Der Programmier-Modus unterstützt Berechnungen in weitverbreiteten Zahlensystemen (Binär, Oktal, Dezimal und Hexadezimal), bitweise Operationen, Zweierkomplement, zeichenweise Code-Umwandlung und weitere.</p>
    <p>
      Conversion mode supports conversions between common units, currencies and
      number bases.
    </p>
    <p xml:lang="tr">Dönüşüm kipi ortak birimler, para birimleri ve sayı tabanları arasındaki dönüşümleri destekler.</p>
    <p xml:lang="pt">O modo de conversão suporta conversões entre as unidades mais comuns, moedas e bases numéricas.</p>
    <p xml:lang="pl">Tryb konwersji obsługuje konwersje między popularnymi jednostkami, walutami i systemami liczbowymi.</p>
    <p xml:lang="it">La modalità conversione supporta la conversione tra unità comuni, valute e basi numeriche.</p>
    <p xml:lang="hu">Az átváltási mód támogatja a gyakori mértékegységek, pénznemek és alapszámok közötti átváltásokat.</p>
    <p xml:lang="fr">Le mode conversion permet d’effectuer des conversions entre les unités usuelles, les monnaies et les bases de nombres.</p>
    <p xml:lang="es">El modo de conversión admite conversiones entre unidades comunes, monedas y bases de números.</p>
    <p xml:lang="en-GB">Conversion mode supports conversions between common units, currencies and number bases.</p>
    <p xml:lang="de">Der Umrechnungsmodus unterstützt Umrechnungen zwischen gängigen Einheiten, Währungen und Zahlenbasen.</p>
  </description>
  <branding>
    <color type="primary" scheme_preference="light">#ffbe6f</color>
    <color type="primary" scheme_preference="dark">#e66100</color>
  </branding>
  <screenshots>
    <screenshot type="default">
      <caption>Basic Mode</caption>
      <caption xml:lang="tr">Temel Kip</caption>
      <caption xml:lang="pt">Modo Básico</caption>
      <caption xml:lang="pl">Tryb podstawowy</caption>
      <caption xml:lang="it">Modalità base</caption>
      <caption xml:lang="hu">Alap mód</caption>
      <caption xml:lang="fr">Mode basique</caption>
      <caption xml:lang="es">Modo básico</caption>
      <caption xml:lang="en-GB">Basic Mode</caption>
      <caption xml:lang="de">Standardmodus</caption>
      <image>https://static.gnome.org/appdata/gnome-49/org.gnome.Calculator/basic-mode.png</image>
    </screenshot>
    <screenshot>
      <caption>Advanced Mode</caption>
      <caption xml:lang="tr">Gelişmiş Kip</caption>
      <caption xml:lang="pt">Modo Avançado</caption>
      <caption xml:lang="pl">Tryb zaawansowany</caption>
      <caption xml:lang="it">Modalità avanzata</caption>
      <caption xml:lang="hu">Speciális mód</caption>
      <caption xml:lang="fr">Mode avancé</caption>
      <caption xml:lang="es">Modo avanzado</caption>
      <caption xml:lang="en-GB">Advanced Mode</caption>
      <caption xml:lang="de">Erweiterter Modus</caption>
      <image>https://static.gnome.org/appdata/gnome-49/org.gnome.Calculator/advanced-mode.png</image>
    </screenshot>
    <screenshot>
      <caption>Financial Mode</caption>
      <caption xml:lang="tr">Finansal Kip</caption>
      <caption xml:lang="pt">Modo Financeiro</caption>
      <caption xml:lang="pl">Tryb finansowy</caption>
      <caption xml:lang="it">Modalità finanziaria</caption>
      <caption xml:lang="hu">Pénzügyi mód</caption>
      <caption xml:lang="fr">Mode financier</caption>
      <caption xml:lang="es">Modo financiero</caption>
      <caption xml:lang="en-GB">Financial Mode</caption>
      <caption xml:lang="de">Finanztechnischer Modus</caption>
      <image>https://static.gnome.org/appdata/gnome-49/org.gnome.Calculator/financial-mode.png</image>
    </screenshot>
    <screenshot>
      <caption>Programming Mode</caption>
      <caption xml:lang="tr">Programlama Kipi</caption>
      <caption xml:lang="pt">Modo de Programação</caption>
      <caption xml:lang="pl">Tryb programistyczny</caption>
      <caption xml:lang="it">Modalità programmazione</caption>
      <caption xml:lang="hu">Programozói mód</caption>
      <caption xml:lang="fr">Mode programmation</caption>
      <caption xml:lang="es">Modo de programación</caption>
      <caption xml:lang="en-GB">Programming Mode</caption>
      <caption xml:lang="de">Informatik-Modus</caption>
      <image>https://static.gnome.org/appdata/gnome-49/org.gnome.Calculator/programming-mode.png</image>
    </screenshot>
    <screenshot>
      <caption>Keyboard Mode</caption>
      <caption xml:lang="tr">Klavye Kipi</caption>
      <caption xml:lang="pt">Modo de teclado</caption>
      <caption xml:lang="pl">Tryb klawiatury</caption>
      <caption xml:lang="it">Modalità tastiera</caption>
      <caption xml:lang="hu">Billentyűzet mód</caption>
      <caption xml:lang="fr">Mode clavier</caption>
      <caption xml:lang="es">Modo de teclado</caption>
      <caption xml:lang="en-GB">Keyboard Mode</caption>
      <caption xml:lang="de">Tastaturmodus</caption>
      <image>https://static.gnome.org/appdata/gnome-49/org.gnome.Calculator/keyboard-mode.png</image>
    </screenshot>
    <screenshot>
      <caption>Conversion Mode</caption>
      <caption xml:lang="tr">Dönüşüm Kipi</caption>
      <caption xml:lang="pt">Modo de Conversão</caption>
      <caption xml:lang="pl">Tryb konwersji</caption>
      <caption xml:lang="it">Modalità conversione</caption>
      <caption xml:lang="hu">Átváltási mód</caption>
      <caption xml:lang="fr">Mode conversion</caption>
      <caption xml:lang="es">Modo de conversión</caption>
      <caption xml:lang="en-GB">Conversion Mode</caption>
      <caption xml:lang="de">Umrechnungsmodus</caption>
      <image>https://static.gnome.org/appdata/gnome-49/org.gnome.Calculator/conversion-mode.png</image>
    </screenshot>
  </screenshots>
  <update_contact>mcatanzaro_at_gnome.org</update_contact>
  <project_group>GNOME</project_group>
  <kudos>
    <kudo>HiDpiIcon</kudo>
    <kudo>ModernToolkit</kudo>
    <kudo>SearchProvider</kudo>
    <kudo>UserDocs</kudo>
  </kudos>
  <supports>
    <control>keyboard</control>
    <control>pointing</control>
    <control>touch</control>
  </supports>
  <requires>
    <display_length compare="ge">360</display_length>
  </requires>
  <!-- developer_name tag deprecated with Appstream 1.0 -->
  <developer_name>The GNOME Project</developer_name>
  <developer_name xml:lang="tr">GNOME Projesi</developer_name>
  <developer_name xml:lang="pt">O Projeto GNOME</developer_name>
  <developer_name xml:lang="pl">Projekt GNOME</developer_name>
  <developer_name xml:lang="it">Il progetto GNOME</developer_name>
  <developer_name xml:lang="hu">A GNOME projekt</developer_name>
  <developer_name xml:lang="fr">Le projet GNOME</developer_name>
  <developer_name xml:lang="es">El Proyecto GNOME</developer_name>
  <developer_name xml:lang="en-GB">The GNOME Project</developer_name>
  <developer_name xml:lang="de">Das GNOME-Projekt</developer_name>
  <developer id="org.gnome">
    <name>The GNOME Project</name>
    <name xml:lang="tr">GNOME Projesi</name>
    <name xml:lang="pt">O Projeto GNOME</name>
    <name xml:lang="pl">Projekt GNOME</name>
    <name xml:lang="it">Il progetto GNOME</name>
    <name xml:lang="hu">A GNOME projekt</name>
    <name xml:lang="fr">Le projet GNOME</name>
    <name xml:lang="es">El Proyecto GNOME</name>
    <name xml:lang="en-GB">The GNOME Project</name>
    <name xml:lang="de">Das GNOME-Projekt</name>
  </developer>
  <url type="homepage">https://apps.gnome.org/Calculator</url>
  <url type="bugtracker">https://gitlab.gnome.org/GNOME/gnome-calculator/issues</url>
  <url type="donation">https://www.gnome.org/donate/</url>
  <url type="help">https://help.gnome.org/users/gnome-calculator/stable/</url>
  <url type="translate">https://l10n.gnome.org/module/gnome-calculator/</url>
  <url type="vcs-browser">https://gitlab.gnome.org/GNOME/gnome-calculator</url>
  <translation type="gettext">gnome-calculator</translation>
  <launchable type="desktop-id">org.gnome.Calculator.desktop</launchable>
  <content_rating type="oars-1.1"/>
  <releases>
    <release version="50.0" date="2026-03-14" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="50~rc" date="2026-03-06" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="50~beta" date="2026-01-31" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Support grouping digits in non-decimal numbers !433 (fcusr)</li>
          <li>Remove the ones function and add swap endianness button !452 (fcusr)</li>
        </ul>
      </description>
    </release>
    <release version="50~alpha" date="2026-01-03" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Improved metainfo !451 (Maximiliano)</li>
          <li>Improved build process !448 (Chris Mayo)</li>
          <li>Fix cropped buttons section #519 (Adrien Plazas)</li>
        </ul>
      </description>
    </release>
    <release version="49.1.1" date="2025-10-21" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Fixed variable usage with text-operators in function definition #504 (Robert Roth)</li>
          <li>Disable 32-bit unsigned right-shift on 32-bit architectures #503 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="49.1" date="2025-10-09" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Fixed BDT currency rate #509 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="49.0.1" date="2025-09-25" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Updated screenshots</li>
        </ul>
      </description>
    </release>
    <release version="49.0" date="2025-09-15" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="49~rc" date="2025-08-30" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Function handling fixes (fcusr)</li>
          <li>Only allow 2 to 16 number bases #37 (fcusr)</li>
          <li>Improve very large number handling performance #377 (fcusr)</li>
          <li>Fixed Planck constant name typo (Anders Jonsson)</li>
          <li>Ignore case in auto-complete (fcusr)</li>
          <li>Fixed keyboard shortcut for preferences dialog (fcusr)</li>
          <li>Bits panel enhancements (fcusr)</li>
        </ul>
      </description>
    </release>
    <release version="49~beta" date="2025-08-02" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Don't use development vala API #490 (Robert Roth)</li>
          <li>Fix buttons 10^x and 2^x button behaviour !384 (fcusr)</li>
          <li>Fixed base conversion !385 (fcusr)</li>
          <li>Port to AdwShortcutsDialog !386 (Automeris Naranja)</li>
          <li>Support floating point for bit field #457 !387  (fcusr)</li>
          <li>Only allow entering numbers in financial dialogs !391 (fcusr)</li>
          <li>Added Sri Lanka Rupees to supported currencies #491 (Robert Roth)</li>
          <li>Added dialog to show conversion rate download date and source !394 #57 #386 (fcusr)</li>
          <li>Added all UN treasury supported currencies !397 (Alessandro Astone)</li>
          <li>Added categories to function popover !396 (fcusr)</li>
          <li>Fixed electron volts conversion !398 (fcusr)</li>
          <li>Added function for endianness swap (fcusr)</li>
          <li>Make bit shift repeatable (fcusr)</li>
          <li>Enhancements for logarithm function handling (fcusr)</li>
          <li>Show error when function arguments length is incorrect (fcusr)</li>
          <li>Fixed unit conversion not working inside functions #369 (fcusr)</li>
          <li>Fixed incorrect display for complex numbers in some cases (fcusr)</li>
          <li>Added a redo button to the header bar (fcusr)</li>
          <li>Ported UI to Blueprint (fcusr)</li>
          <li>Fixed history item focusing on click #473 (fcusr)</li>
          <li>Search provider improvements #404 #257 (fcusr)</li>
          <li>Improved decimal handling on command line (fcusr)</li>
          <li>Added support for special cut/copy/paste keyboard shortcuts #183 (fcusr)</li>
        </ul>
      </description>
    </release>
    <release version="49~alpha" date="2025-06-28" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Allow input and output of sexagesimal (DMS) values #12 !292 !320 (fcusr)</li>
          <li>Improved error handling for trigonometric functions #61 #375 (fcusr)</li>
          <li>Added support for permutation and combination #87 (fcusr)</li>
          <li>Added support for arbitrary root function #88 (Robert Roth)</li>
          <li>Added support for greatest common divisor and least common multiplier #89 (fcusr)</li>
          <li>Improved log function handling #92 (Robert Roth)</li>
          <li>Added a button to indicate angle units used #447 #218 #125 !253 (fcusr)</li>
          <li>Added support for selection parts of previous calculations #295 (Robert Roth)</li>
          <li>Added backspace button #331 #345 !247 (Adrien Plazas)</li>
          <li>Added constants to the variable popover #334 !288 (fcusr)</li>
          <li>Added support for repeating last operation #342 (Robert Roth)</li>
          <li>Added wrapping of long history entries #439 (Robert Roth)</li>
          <li>Added Egyptian Pound currency #443 (Robert Roth)</li>
          <li>Fixed right shift with negative numbers #474 (fcusr)</li>
          <li>Fixed Polish Złoty currency name #478 (Robert Roth)</li>
          <li>Fixed incorrect pressure unit conversions #480 (Robert Roth)</li>
          <li>Improved operator buttons #484 (fcusr)</li>
          <li>Reworked button grouping for each mode (Adrien Plazas)</li>
          <li>Improved adaptive windows for smaller/larger screens !252 !285 !372 (fcusr)</li>
          <li>Improved help and shortcuts (fcusr, Robert Roth, Adrien Plazas)</li>
          <li>Improved accessibility (fcusr)</li>
          <li>Added support for NAND, NOR and XNOR operators !271 (Adrien Plazas)</li>
          <li>Improved function handling with buttons and selections !267 !342 !340 (Adrien Plazas, fcusr)</li>
          <li>Added preference to disable currencies in auto-complete #428 !272 (fcusr)</li>
          <li>Added preference to show currency codes in converter #150 !274 (fcusr)</li>
          <li>Added support for marking currencies as favorites #228 !277 (fcusr)</li>
          <li>Various variable and function popover improvements !286 !287 !321 !323 !326 !353 (fcusr)</li>
          <li>Added British Pint and Gallon units !311 (fcusr)</li>
          <li>Fixed handling of very small numbers and improved error handling #464 !316 (fcusr)</li>
          <li>Added some statistical functions !362 (fcusr)</li>
        </ul>
      </description>
    </release>
    <release version="48.0" date="2025-03-15" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Fixed converter context menus not working (fcusr)</li>
          <li>Code cleanup and improvements (fcusr, Adrien Plazas)</li>
          <li>Improvements in function usage, brackets usage (Adrien Plazas)</li>
        </ul>
      </description>
    </release>
    <release version="48~rc" date="2025-03-01" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>UI and styling fixes (fcusr, Adrien Plazas)</li>
          <li>Do not steal focus on window move #422 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="48~beta" date="2025-02-01" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Added new Conversion mode (fcusr)</li>
          <li>Ported financial dialogs to modern widgets (fcusr)</li>
          <li>Minor improvements to styling and usability (fcusr)</li>
        </ul>
      </description>
    </release>
    <release version="48~alpha" date="2025-01-11" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>a11y: Announce the calculation result even when done through the buttons #411 (Lukáš Tyrychtr)</li>
          <li>display: Cycle through history with Alt+Left/Right buttons #296 (Hari Rana)</li>
          <li>character-dialog: Modernized the character dialog (Hari Rana)</li>
          <li>history-entry: Apply dim label to some buttons (Hari Rana)</li>
          <li>math-preferences: Use header capitalization (Automeris naranja)</li>
          <li>converter: Use correct kJ unit shortName #427 (Robert Roth)</li>
          <li>converter: Fixed incorrect units in financial mode #424 (Robert Roth)</li>
          <li>converter: Added nanosecond unit (Robert Roth)</li>
          <li>tests: Fixed broken test on slower computers #434 (Robert Roth)</li>
          <li>history-view: Improve default size #419 (Robert Roth)</li>
          <li>display: Fixed incorrectly sized text entry #405 (Robert Roth)</li>
          <li>converter: Add pressure units !179 (Olexander Movchan, Anders Jonsson)</li>
          <li>converter: Updated russian ruble currency symbol and name #440 (Robert Roth)</li>
          <li>display: Fix crash on using Shift+Insert #442 (Robert Roth)</li>
          <li>converter: Fixed MJ and kWh conversion factors #445 (Çağatay Yiğit Şahin)</li>
          <li>tests: Added test to validate MJ and kWh conversion (Robert Roth)</li>
          <li>keyboard: Added shortcut to clear history #398 (Claudio Silva Junior)</li>
        </ul>
      </description>
    </release>
    <release version="47.0" date="2024-09-14" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Fixed flatpak build !181 (Hari Rana)</li>
          <li>Don't use symbolic icons for the window !182 (Balló György)</li>
        </ul>
      </description>
    </release>
    <release version="47~rc" date="2024-08-31" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Added brand colors !178 (Brage Fuglseth)</li>
        </ul>
      </description>
    </release>
    <release version="47~beta" date="2024-08-02" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Fix hex string conversion for bitwise operator !177 (Xiong Nandi)</li>
          <li>Forced LTR for buttons !171 (Khalid Abu Shawarib)</li>
          <li>Added kWh, MJ, KJ unit support #417 (Robert Roth)</li>
          <li>Sort conversion categories alphabetically #395 (Robert Roth)</li>
          <li>Removed obsolete bulgarian translations #402 (Robert Roth)</li>
          <li>Only allow alphanumeric values for variable names #396 (Robert Roth)</li>
          <li>Replace base label with buttons in programming mode !173 (Clément Mathieu--Drif)</li>
          <li>Updated flathub badge !174 (Brage Fuglseth)</li>
          <li>Use new adwaita spinner widget !175 (Cristopher Davis)</li>
        </ul>
      </description>
    </release>
    <release version="47~alpha" date="2024-06-29" type="development">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Support VND currency #387 (Robert Roth)</li>
          <li>Fixed incorrect event handling #392 (Robert Roth)</li>
          <li>Removed Shift left/right dropdown #330 (Robert Roth)</li>
          <li>Improved popover remove buttons #401 (Robert Roth)</li>
          <li>Use result format instead of number format #399 (Robert Roth)</li>
          <li>Ported to Adwaita adaptive dialogs (Robert Roth)</li>
          <li>Disable undo button if nothing to undo #280 (Robert Roth)</li>
          <li>Metainfo improvements (Andre Klapper)</li>
          <li>Keep last conversion options at launch #351 (Robert Roth)</li>
          <li>Minor improvements to the undo button !166 (Automeris naranja)</li>
          <li>Make sure to use the correct app id for development builds !170 (Christopher Davis)</li>
          <li>Stop using orange accent color !169 (Alice Mikhaylenko)</li>
          <li>A11y announce status changes !172 (Lukáš Tyrychtr)</li>
        </ul>
      </description>
    </release>
    <release version="46.0" date="2024-03-16" type="stable">
      <description>
        <ul>
          <li>Updated translations</li>
          <li>Metainfo improvements (Alexandre Franke, Andre Klapper)</li>
        </ul>
      </description>
    </release>
    <release version="46~rc" date="2024-03-02" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 46.rc</p>
        <ul>
          <li>Updated translations</li>
          <li>Metainfo (homepage, developer id) improvements (Sophie Herold, Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="46~beta" date="2024-02-11" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 46.beta</p>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="46~alpha" date="2024-01-06" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 46.alpha</p>
        <ul>
          <li>Updated translations</li>
          <li>Allow substring search in the unit selection drop-downs #338 (Lukáš Tyrychtr)</li>
          <li>libsoup library usage update (Robert Roth)</li>
          <li>appdata updates !158 (Sabri Ünal)</li>
          <li>Ported some components to adwaita !159 (Pig)</li>
          <li>Support Argentine Peso currency #370 (Pacho Ramos)</li>
          <li>Reload conversion rates if in search-provider conversion fails !162 (Vladislav Yegorov)</li>
          <li>Add Troy ounce (ozt) as new unit !109 (Gwyneth Morgan)</li>
        </ul>
      </description>
    </release>
    <release version="45.0.2" date="2023-09-16" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 45.0.2</p>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="45.0.1" date="2023-09-02" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 45.0.1</p>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="45.0" date="2023-08-16" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 45.0</p>
        <ul>
          <li>Updated translations</li>
          <li>Search provider performance improvements !154, !155, !156 (Christian Hergert)</li>
          <li>Use numeric font instead of monospace #290 (Robert Roth)</li>
          <li>Fixed electron-volt unit abbreviation #347 (Robert Roth)</li>
          <li>Fixed erroneous Joule unit name #348 (Robert Roth)</li>
          <li>Fixed missing build dependency !157 (Jeremy Bicha)</li>
        </ul>
      </description>
    </release>
    <release version="45~beta" date="2023-08-03" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 45.beta</p>
        <ul>
          <li>Updated translations</li>
          <li>Fixed variable and function popover reverse typing #335, #320 (Robert Roth)</li>
          <li>Better left/right cursor key handling !153 (Seth Falco)</li>
          <li>Improved toolbar using Adwaita library !151 (Felipe Kinoshita)</li>
          <li>Flatpak build improvements (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="45~alpha" date="2023-06-28" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 45.alpha</p>
        <ul>
          <li>Updated translations</li>
          <li>Remember window size #328 !146 (Leonard K, Alice Mikhaylenko)</li>
          <li>Allow opening Main Menu by pressing F10 !142 !149 (Automeris naranja)</li>
          <li>Extend bit-shifting limit #306 !143 (J Sory)</li>
          <li>Added new energy units !143 (J Sory)</li>
          <li>Added TWD support via Bank of Canada rates #27 !148 (Mário Adriano)</li>
          <li>Added legal section for exchange rate source attribution (Robert Roth)</li>
          <li>Added United Nations Treasury exchange rate datasource (Robert Roth)</li>
          <li>Added Jamaican Dollar currency #291 (Robert Roth)</li>
          <li>Added Ukrainian hryvnia currency #278 (Robert Roth)</li>
          <li>Added Nigerian Naira currency #142 (Robert Roth)</li>
          <li>Changed symbolic icon to C on the clear button #336 (Robert Roth)</li>
          <li>Dropped VEF currency support #78 (Robert Roth)</li>
          <li>Use new vala-nightly SDK extension for flatpak (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="44.0" date="2023-03-17" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 44.0</p>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="44~rc" date="2023-03-03" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 44.rc</p>
        <ul>
          <li>Updated translations</li>
        </ul>
      </description>
    </release>
    <release version="44~beta" date="2023-02-11" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 44.beta</p>
        <ul>
          <li>Updated translations</li>
          <li>Improved factorization !141 (J. Sory)</li>
          <li>Number format selection documentation improvements #321 (Robert Roth)</li>
          <li>Made builtin function descriptions translatable #323 (Robert Roth)</li>
          <li>Fixed display showing 0 on startup #318 (Robert Roth)</li>
          <li>Improved button tooltips !132 (sunflowerskater)</li>
          <li>Added signed int support to programming mode !110 (Erik Wolf)</li>
          <li>i and e constants updated according to ISO 80000-2:2009 !137 (majjejjam)</li>
          <li>Help overlay updates !133 (Sabri Ünal)</li>
          <li>Added preferences shortcut !129 (Sabri Ünal)</li>
          <li>Destroy dialog after clicking cancel #310 (Jaycee Santos)</li>
        </ul>
      </description>
    </release>
    <release version="43.0.1" date="2022-09-16" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 43.0.1</p>
        <ul>
          <li>Fixed appdata versioning (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="43.0" date="2022-09-16" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 43.0</p>
        <ul>
          <li>Removed old issue tracker references !128 (Jake Dane)</li>
        </ul>
      </description>
    </release>
    <release version="43~rc" date="2022-09-02" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 43.rc</p>
        <ul>
          <li>Updated translations</li>
          <li>Fix crash when entering new function name !124 (Nathaniel Russel)</li>
          <li>Fix source view border !121 (Alexander Mikhaylenko)</li>
          <li>Flatpak build update !122 (Bartłomiej Piotrowski)</li>
          <li>Port about window to libadwaita !119 (Christopher Davis)</li>
          <li>Port to libsoup3 !120 (AppleME)</li>
        </ul>
      </description>
    </release>
    <release version="43~alpha" date="2022-07-08" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 43.alpha</p>
        <ul>
          <li>Updated translations</li>
          <li>Fixed broken undo/redo #266 (Robert Roth)</li>
          <li>Make sure variable name definitions work with whitespace too (Robert Roth)</li>
          <li>Fix translatable strings !116 (Maximiliano)</li>
          <li>Fixed missing implicit multiplication with variable and root #279 (Robert Roth)</li>
          <li>meson warning fixes (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="42.2" date="2022-07-01" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 42.2</p>
        <ul>
          <li>Updated Translations</li>
          <li>Fixed incorrect history with bits toggling #281 (Robert Roth)</li>
          <li>Fixed crash when typing in variable popover #282 (Robert Roth)</li>
          <li>Fixed incorrect libxml usage #283 (Luca Bacci, Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="42.1" date="2022-05-27" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 42.1</p>
        <ul>
          <li>Updated Translations</li>
          <li>Fixed broken undo/redo #266 (Robert Roth)</li>
          <li>Removed automatic closing brace addition #271 (Robert Roth)</li>
          <li>Fixed incorrect percentage symbol precedence handling #236, #275 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="42.0" date="2022-03-19" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 42.0</p>
        <ul>
          <li>Updated Translations</li>
        </ul>
      </description>
    </release>
    <release version="42~rc" date="2022-03-06" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 42.rc</p>
        <ul>
          <li>Updated Translations</li>
          <li>Use new gnome post_install script !106 (Bobby Rong)</li>
          <li>gcalc build fixes (Daniel Espinoza Ortiz)</li>
          <li>Updated screenshots (Christopher Davis)</li>
          <li>Set default focus to entry (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="42~beta" date="2022-02-13" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 42.beta</p>
        <ul>
          <li>Updated Translations</li>
          <li>Fixed build issues with GCI entry controller tests #250 (Robert Roth)</li>
          <li>Force LTR in history view #252 (Robert Roth)</li>
          <li>programing mode: Force bit digits to be always LTR #258 (Yosef Or Boczko)</li>
          <li>Use AdwApplication (Alexander Mikhaylenko)</li>
          <li>ui: Fix styles !105 (Alexander Mikhaylenko)</li>
        </ul>
      </description>
    </release>
    <release version="42~alpha" date="2022-01-08" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 42.alpha</p>
        <ul>
          <li>Updated Translations</li>
          <li>build: Support flatpak development builds (Óscar Fernández Díaz)</li>
          <li>build: migrated to GTK4 !98 (Cristopher Davis, Robert Roth)</li>
          <li>entry: Added currencies completion provider (Robert Roth)</li>
          <li>entry: Fixed percentage evaluation error #237 (Robert Roth)</li>
          <li>internal: Moved history view from MathDisplay to MathWindow (Robert Roth)</li>
          <li>window: set default width for basic and keyboard mode #240 (Robert Roth)</li>
          <li>buttons: removed destructive action class from clear button #242 (Robert Roth)</li>
          <li>converter: search support in unit selector, separate conversion category selector #108 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="41.0" date="2021-09-18" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 41.0</p>
        <ul>
          <li>Updated Translations</li>
          <li>Use first translated symbol for conversion with button #219 (Robert Roth)</li>
          <li>Appdata includes hardware support information (Adrien Plazas)</li>
        </ul>
      </description>
    </release>
    <release version="41~rc" date="2021-09-04" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 41.rc</p>
        <ul>
          <li>Updated Translations</li>
        </ul>
      </description>
    </release>
    <release version="41~alpha" date="2021-07-10" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 41.alpha</p>
        <ul>
          <li>Updated Translations</li>
          <li>Adaptive preferences window !85 (Adrien Plazas)</li>
          <li>Fixed currency conversion using convert button #216 (Robert Roth)</li>
          <li>User interface reworked, adaptive UI !81 (Adrien Plazas)</li>
          <li>Enlarged calculator icon in help !82 (Sabri Ünal)</li>
          <li>Code cleanup (Robert Roth)</li>
          <li>Fixed kilohertz shorthand !87 (scootergrisen)</li>
          <li>Fixed donation link !88 (René Genz)</li>
          <li>Added support using calculator without currency conversion for privacy !89 (Ray Strode)</li>
          <li>Added support for function description of custom functions using @ !90 (Martin Jirku)</li>
        </ul>
      </description>
    </release>
    <release version="40.0" date="2021-03-19" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 40.0</p>
        <ul>
          <li>Updated Translations</li>
        </ul>
      </description>
    </release>
    <release version="40~rc" date="2021-03-12" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 40.rc</p>
        <ul>
          <li>Updated Translations</li>
          <li>Resize window after switching mode !78 (joshas)</li>
          <li>Fixed compilation warnings (Robert Roth)</li>
          <li>Support offline currency conversion tests #208 (Robert Roth)</li>
          <li>Use official unit on conversion button click #207 (Robert Roth)</li>
          <li>Fixed temperature unit typos #211 (Robert Roth)</li>
          <li>Ellipsize conversion labels #17 (Robert Roth)</li>
          <li>Added Ctrl+Delete shortcut for clearing the current equation #187 (Robert Roth)</li>
          <li>Allow multiple decimal points #166. #5 (Robert Roth)</li>
          <li>Added Ctrl+O shortcut for degrees symbol (Robert Roth)</li>
          <li>Use gtk-sourceview 4.8 !80 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="40~beta" date="2021-02-05" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 40.beta</p>
        <ul>
          <li>Updated Translations</li>
          <li>Fixed CI build (Robert Roth)</li>
          <li>Fixed issues with initial loading of currencies (Robert Roth)</li>
          <li>Rework currency retrieval preparing for currency provider plugins (Robert Roth)</li>
          <li>Fixed commandline conversions #33 (Robert Roth)</li>
          <li>Added currency conversion tests (Robert Roth)</li>
          <li>Added support for frequencies conversion (Dave Hulst)</li>
          <li>Added support for converting to and from weeks (Dave Hulst)</li>
          <li>Added support for converting to and from centuries and decades (Dave Hulst)</li>
          <li>Increase buttons font size #201 (Robert Roth)</li>
          <li>Added % button to Advanced mode (Dave Hulst)</li>
          <li>Show 4 decimals in converter instead of only two #203 (Robert Roth)</li>
          <li>Added style classes to buttons !76 (Dave Hulst)</li>
        </ul>
      </description>
    </release>
    <release version="40~alpha" date="2021-01-10" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 40.alpha</p>
        <ul>
          <li>Updated Translations</li>
          <li>Use libhandy for window and headerbar !69 (Cristopher Davis)</li>
          <li>Use C instead of Clr in help !70 (scootergrisen)</li>
          <li>Fixed broken currency conversion on first start #199 (Robert Roth)</li>
          <li>Removed duplicate word from help #198 (Robert Roth)</li>
          <li>Added lbs shortcut for pounds conversion (Robert Roth)</li>
          <li>Fixed inconsistent word size (A. M. Roswell)</li>
          <li>Removed unused trunc button from programming mode #41 (Robert Roth)</li>
          <li>Fixed deprecation warnings</li>
          <li>Added Serbian Dinar with fixed rate #49 (Robert Roth)</li>
          <li>Added Bangladeshi Taka with fixed rate #191 (A. M. Roswell)</li>
          <li>Updated mailing list contact to Discourse (Robert Roth)</li>
          <li>Added basic help page for programming mode (A. M. Roswell)</li>
          <li>Added insert character code button (A. M. Roswell)</li>
          <li>Dim inapplicable bits on word size change #189 (A. M. Roswell)</li>
          <li>Make the conversion labels selectable (Robert Roth)</li>
          <li>Do not convert on swap #170 (Robert Roth)</li>
          <li>Word size changer in programming mode !58 (A. M. Roswell)</li>
          <li>Added metric cups conversion unit !53 (Lucy Coleclough)</li>
          <li>Fixed astronomical unit conversion !51 (Thomas Nilsson)</li>
          <li>Fixed feet-based units name, added mph and kph shortcuts #180 (Robert Roth)</li>
          <li>Use shell copy to clipboard action #178 (Robert Roth)  </li>
          <li>Fixed preferences of angle units !56 (Delton Ding)</li>
        </ul>
      </description>
    </release>
    <release version="3.38.0" date="2020-09-11" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 3.38.0</p>
        <ul>
          <li>Updated German translation (Mario Blättermann)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Updated Hungarian translation (Balázs Meskó)</li>
          <li>Updated Danish translation (Ask Hjorth Larsen, Alan Mortensen)</li>
          <li>Updated Greek translation (Efstathios Iosifidis)</li>
        </ul>
      </description>
    </release>
    <release version="3.37.92" date="2020-09-04" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.37.92</p>
        <ul>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
          <li>Updated Galician translation (Fran Diéguez)</li>
          <li>Updated Spanish translation (Daniel Mustieles García)</li>
          <li>Updated Polish translation (Piotr Drąg)</li>
          <li>Updated Turkish translation (Emin Tufan)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>Updated Croatian translation (Goran Vidović)</li>
          <li>Updated Japanese translation (sicklylife)</li>
          <li>Updated Czech translation (Marek Černocký)</li>
          <li>Updated Brazilian Portuguese translation (Yuri Gomes)</li>
          <li>Updated Persian translation (Daniel Behzadi)</li>
          <li>Updated Dutch translation (Nathan Follens)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated British English translation (Zander Brown)</li>
          <li>Updated Serbian translation (Марко М. Костић (Marko M. Kostić))</li>
          <li>Updated Slovak translation (Dušan Kazik)</li>
          <li>Updated Korean translation (Changwoo Ryu)</li>
        </ul>
      </description>
    </release>
    <release version="3.37.90" date="2020-08-06" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.37.90</p>
        <ul>
          <li>Add tooltips for bits in programming mode !46 (Olliver Schinagl)</li>
          <li>Updated French translation (Guillaume Bernard)</li>
          <li>Updated Indonesian translation (Andika Triwidada)</li>
          <li>Updated Ukrainian translation (Daniel Korostil, Yuri Chornoivan)</li>
          <li>Updated Catalan translation (Jordi Mas, Gil Forcada)</li>
          <li>Updated Basque translation (Ibai Oihanguren Sala, Asier Sarasua Garmendia)</li>
          <li>Updated Hebrew translation (Yosef Or Boczko)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>snap packaging updates (Ken VanDine)</li>
          <li>Added link to website in About #155 (Robert Roth)</li>
          <li>Added speed conversions !49 (Mathieu Heurtevin)</li>
          <li>Updated Romanian translation (Florentina Mușat)</li>
          <li>History view follows preferences #105, #159, #168 (Robert Roth)</li>
          <li>Added month as time unit #158 (Robert Roth)</li>
          <li>Better help for variables example usage #154 (Robert Roth)</li>
          <li>Defined pi variable, added pi button in programming mode #153 (Robert Roth)</li>
          <li>CI build fixes (Robert Roth)</li>
          <li>Updated app icon !47 (Jakub Steiner)</li>
          <li>Fixed bug returning empty string as result #152 (Robert Roth)</li>
          <li>Support latex-style multiplication #164 (Robert Roth)</li>
          <li>Added support for tau constant #46 (Robert Roth)</li>
          <li>Unify constant handling (Robert Roth)</li>
          <li>Separate UI files from sources (Robert Roth)</li>
          <li>Moved number format selection to separate menu #24 (Robert Roth)</li>
          <li>Replaces mode selector shortcuts with Ctrl+Alt (Robert Roth)</li>
          <li>Clear answer if editing right before it #59, #161 (Robert Roth)</li>
          <li>Moved preferences dialog to UI file (Robert Roth)</li>
          <li>Refresh bits panel after calculation #38 (Robert Roth)</li>
          <li>Updated Spanish translation (Daniel Mustieles García)</li>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated Kazakh translation (Baurzhan Muftakhidinov)</li>
          <li>Updated Lithuanian translation (Aurimas Černius)</li>
          <li>Updated Chinese translation (Boyuan Yang)</li>
          <li>Updated German translation (Tim Sabsch)</li>
          <li>Removed past author addresses #174 (Robert Roth)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
        </ul>
      </description>
    </release>
    <release version="3.36.0" date="2020-03-07" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 3.36.0</p>
        <ul>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Fixed broken markup in XHosa UI translation (Andre Klapper)</li>
          <li>Updated Swedish translation (Anders Jonsson)  </li>
          <li>Updated Italian translation (Janvitus)</li>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated German translation (Tim Sabsch)</li>
          <li>Updated Dutch translation (Nathan Follens)</li>
          <li>Fixed broken markup in Dzongka UI translation (Andre Klapper)</li>
          <li>Updated Czech help translation (Marek Černocký)</li>
          <li>Updated Hungarian translation (Balázs Úr)</li>
        </ul>
      </description>
    </release>
    <release version="3.35.92" date="2020-02-29" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.35.92</p>
        <ul>
          <li>Updated Spanish translation (Daniel Mustieles García)</li>
          <li>Updated Croatian translation (Goran Vidović)</li>
          <li>Documentation build fixes (Rico Tzschichholz)</li>
          <li>Updated Lithuanian translation (Aurimas Černius)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Removed obsolete keyboard shortcut #148 (Robert Roth)</li>
          <li>Updated Persian translation (Danial Behzadi)</li>
          <li>Updated Basque translation (Asier Sarasua Garmendia)</li>
          <li>Update British English translation (Bruce Cowan)</li>
          <li>Updated Japanese translation (sicklylife)</li>
          <li>Updated Czech translation (Marek Černocký)</li>
          <li>Updated Turkish translation (Emin Tufan)</li>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
          <li>Updated Brazilian Portuguese translation (Rafael Fontenelle)</li>
          <li>Updated Hungarian translation (Balázs Meskó)</li>
          <li>Updated Chinese (Taiwan) translation (pesder)</li>
          <li>Updated Danish translation (Alan Mortensen)</li>
          <li>Updated Serbian translation (Марко М. Костић (Marko M. Kostić))</li>
          <li>help: Update icon for 3.36 (Andre Klapper)</li>
          <li>Updated Karbi translation (J T)</li>
          <li>Updated Korean translation (Changwoo Ryu)</li>
          <li>Updated French translation (Julien Humbert)</li>
          <li>Updated Polish translation (Piotr Drąg)</li>
        </ul>
      </description>
    </release>
    <release version="3.35.90" date="2020-02-01" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.35.90</p>
        <ul>
          <li>Updated Greek translation (Efstathios Iosifidis)</li>
          <li>Updated Indonesian translation (Sucipto)</li>
          <li>Drop padding around the display !40 (Adrien Plazas)</li>
          <li>Updated Keyboard Shortcuts (Sabri Ünal)</li>
          <li>Handle Escape and Enter correctly with completion #144 (Robert Roth)</li>
          <li>Updated Spanish translation (Daniel Mustieles García)</li>
          <li>Updated Slovak translation (Dušan Kazik)</li>
          <li>Added F10 for primary menu shortcut #148 (Robert Roth)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated app icon !43 (Tobias Bernard)</li>
          <li>Updated Malay translation (Umarzuki Mochlis)</li>
          <li>Updated Brazilian Portuguese translation (Rafael Fontenelle)</li>
          <li>Added Rack Units to the conversions !37 (Léo Gillot-Lamure)</li>
          <li>Updated Karbi translation (J T)</li>
          <li>Fixed freeze on calculating atan(+/-i) #139 (Robert Roth)</li>
          <li>Fixed mode shortcuts by removing blocking mnemonics #138 (Robert Roth)</li>
          <li>Implemented result history browsing using alt left/right #129 (Robert Roth)</li>
          <li>Added translator comments for possible modes as command line arguments !38 (Rafael Fontenelle)</li>
        </ul>
      </description>
    </release>
    <release version="3.35.3" date="2020-01-05" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.35.3</p>
        <ul>
          <li>Updated Chinese (Taiwan) translation (Yi-Jyun Pan)</li>
          <li>Updated Spanish translation (Daniel Mustieles)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Help updates (Andre Klapper)</li>
          <li>Updated Galician translation (Fran Diéguez)</li>
        </ul>
      </description>
    </release>
    <release version="3.35.2" date="2019-11-24" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.35.2</p>
        <ul>
          <li>Updated Italian translation (Milo Casagrande)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated Japanese translation (Ryuta Fujii)</li>
          <li>Updated Danish translation (Ask Hjorth Larsen)</li>
          <li>List possible modes in commandline help #112 (Robert Roth)</li>
          <li>Add square feet unit #132 (Robert Roth)</li>
          <li>Base conversion display selectable #123 (Robert Roth)</li>
          <li>Created nightly icon (Jakub Steiner)</li>
          <li>Snap build updates (Heather Ellsworth)</li>
          <li>Updated Spanish translation (Daniel Mustieles)</li>
          <li>GCalc library code fixes (Rico Tzschichholz, Daniel Espinoza Ortiz)</li>
          <li>Update required meson version (Diego Escalante Urrelo)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated Persian translation (Danial Behzadi)</li>
          <li>Adapt code to changed gtk+-3.0 bindings (Rico Tzschichholz)</li>
          <li>Added GCi libary and tests for controllers for widgets (Daniel Espinoza Ortiz)</li>
          <li>Updated Czech translation (Marek Černocký)</li>
          <li>Updated Indonesian translation (Andika Triwidada)</li>
          <li>Solve on = key if input isq not a variable name #22 (Alberto González Palomo)</li>
        </ul>
      </description>
    </release>
    <release version="3.34.0" date="2019-09-09" type="stable">
      <description>
        <p>Overview of changes in gnome-calculator 3.34.0</p>
        <ul>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
        </ul>
      </description>
    </release>
    <release version="3.33.92" date="2019-09-02" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.33.92</p>
        <ul>
          <li>Updated Czech translation (Marek Černocký)</li>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
          <li>Updated German translation (Tim Sabsch)</li>
          <li>Updated Lithuanian translation (Aurimas Černius)</li>
          <li>Updated Polish translation (Piotr Drąg)</li>
          <li>Updated Persian translation (Danial Behzadi)</li>
          <li>Updated Serbian translation (Марко М. Костић (Marko M. Kostić))</li>
          <li>Updated Latvian translation (Rūdolfs Mazurs)</li>
          <li>Updated Galician translation (Fran Diéguez)</li>
          <li>Updated British English translation (Zander)</li>
          <li>Updated Turkish translation (Ahmet Elgün)</li>
          <li>Updated Japanese translation (Ryuta Fujii)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated French translation (Charles Monzat)</li>
          <li>Updated Korean translation (Changwoo Ryu)</li>
          <li>README updates (Roger)</li>
        </ul>
      </description>
    </release>
    <release version="3.33.90" date="2019-08-06" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.33.90</p>
        <ul>
          <li>Updated Dutch translation (Nathan Follens)</li>
          <li>Updated Croatian translation (Goran Vidović)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>Updated Karbi translation (J T)</li>
          <li>Updated Basque translation (Asier Sarasua Garmendia)</li>
          <li>Updated Brazilian Portuguese translation (Rafael Fontenelle)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated Romanian translation (Florentina Mușat)</li>
          <li>Flatpak build cleanup (Jordan Petridis)</li>
          <li>Debug messages cleanup (Daniel Espinosa Ortiz)</li>
        </ul>
      </description>
    </release>
    <release version="3.33.3" date="2019-06-17" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.33.3</p>
        <ul>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated Hungarian translation (Balázs Úr)</li>
          <li>Updated Spanish translation (Daniel Mustieles)</li>
          <li>Updated Greek translation (Efstathios Iosifidis)</li>
          <li>calculator library build fixes (Daniel Espinosa Ortiz)</li>
          <li>CI build fixes (Ken VanDine)</li>
          <li>Added mnemonics for primary menu items #113 (Robert Roth)</li>
          <li>Dropped leading zeros octal prefix #114, #109, #110 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="3.33.2" date="2019-05-21" type="development">
      <description>
        <p>Overview of changes in gnome-calculator 3.33.2</p>
        <ul>
          <li>Separated calculator library !19 (Daniel Espinosa Ortiz)</li>
          <li>Ensure icon is available for shell (Ken VanDine)</li>
          <li>Updated French translation (Charles Monzat)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Support entering left/right shift with keyboard #98 (Robert Roth)</li>
          <li>Updated Croatian translation (Goran Vidović)</li>
          <li>Fixed CFA conversion rate #102 (Robert Roth)</li>
          <li>Remove copy icon from search provider results #103 (Robert Roth)</li>
          <li>Do not assume octal base for binary numbers #101 (Robert Roth)</li>
          <li>Show thousands separator in unit converter #102 (Robert Roth)</li>
          <li>Use currency name instead of display name for conversion #106 (Robert Roth)</li>
          <li>Quit warns and closes all windows #51 (Robert Roth)</li>
          <li>Avoid normalizing the equation twice in search #104 (Pascal Nowack)</li>
          <li>Ignore keypresses while calculating results #47 (Robert Roth)</li>
          <li>Only allow one decimal point in numbers #5 (Robert Roth)</li>
          <li>Application icon updated in help (Andre Klapper)</li>
          <li>Updated Danish translation (Ask Hjorth Larsen)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated Basque translation (Asier Sarasua Garmendia)</li>
          <li>Updated Chinese translation (Dingzhong Chen)</li>
        </ul>
      </description>
    </release>
    <release version="3.32.0" date="2019-03-11">
      <description>
        <p>Overview of changes in gnome-calculator 3.32.0</p>
        <ul>
          <li>Updated Esperanto translation (Kristjan Esperanto)</li>
          <li>Updated Korean translation (Changwoo Ryu)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>Snap build update (Ken VanDine)</li>
        </ul>
      </description>
    </release>
    <release version="3.31.92" date="2019-03-05">
      <description>
        <p>Overview of changes in gnome-calculator 3.31.92</p>
        <ul>
          <li>Updated Turkish translation (Emin Tufan)</li>
          <li>Updated French translation (Guillaume Bernard)</li>
          <li>Updated Dutch translation (Nathan Follens)</li>
          <li>Updated Lithuanian translation (Aurimas Černius)</li>
          <li>Updated Brazilian Portuguese translation (Rafael Fontenelle)</li>
          <li>Updated Italian translation (Milo Casagrande)</li>
          <li>Updated Russian translation (Stas Solovey)</li>
          <li>Updated Serbian translation (Марко Костић)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated German translation (Tim Sabsch)</li>
          <li>Updated Vietnamese translation (Trần Ngọc Quân)</li>
          <li>Updated Latvian translation (Rūdolfs Mazurs)</li>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
        </ul>
      </description>
    </release>
    <release version="3.31.91" date="2019-02-18">
      <description>
        <p>Overview of changes in gnome-calculator 3.31.91</p>
        <ul>
          <li>Updated Danish translation (Alan Mortensen)</li>
          <li>Updated Kazakh translation (Baurzhan Muftakhidinov)</li>
          <li>Updated Catalan translation (Jordi Mas)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Updated Czech translation (Marek Cernocky)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>Updated Japanese translation (Ryuta Fujii)</li>
          <li>Updated Spanish translation (Daniel Mustieles)</li>
          <li>Updated Romanian translation (Daniel Șerbănescu)</li>
          <li>Updated Galician translation (Fran Diéguez)</li>
          <li>Updated Turkish translation (Emin Tufan)</li>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated Polish translation (Piotr Drąg)</li>
          <li>Updated Hungarian translation (Balázs Úr)</li>
          <li>Additional syntax for unit conversion (Tuomas Mikkola)</li>
          <li>Updated Spanish translation (Daniel Mustieles)</li>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated Galician translation (Fran Diéguez)</li>
        </ul>
      </description>
    </release>
    <release version="3.31.90" date="2019-02-04">
      <description>
        <p>Overview of changes in gnome-calculator 3.31.90</p>
        <ul>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated Greek translation (Tom Tryfonidis)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Updated Spanish translation (Daniel Mustieles)</li>
          <li>Updated Japanese translation (Ryuta Fujii)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated Hungarian translation (Balázs Úr)</li>
          <li>Updated Czech translation (Daniel Rusek)</li>
          <li>Updated Catalan translation (Jordi Maas)</li>
          <li>snap build fixes (Jeremy Bicha)</li>
          <li>Exchange rate update interval preference #58 (Robert Roth)</li>
          <li>Updated and fixed appdata !20 (Harald H.)</li>
          <li>Fix for digit transformed into ^ on double #91 (Robert Roth)</li>
          <li>Accept comma and decimal point as decimal separator #86 (Robert Roth)</li>
        </ul>
      </description>
    </release>
    <release version="3.30.1" date="2018-09-24">
      <description>
        <p>Overview of changes in gnome-calculator 3.30.1:</p>
        <ul>
          <li>Fix opening multiple windows in GNOME Shell (Florian Müllner)</li>
          <li>Mark some strings translatable (Robert Roth)</li>
          <li>Updated Brazilian Portuguese translation (Rafael Fontenelle)</li>
          <li>Updated Croatian translations (Goran Vidović)</li>
          <li>Updated Czech translation (Marek Cernocky)</li>
          <li>Updated Danish translation (Ask Hjorth Larsen)</li>
          <li>Updated Finnish translation (Jiri Grönroos)</li>
          <li>Updated Friulian translation (Fabio Tomat)</li>
          <li>Updated German translation (Mario Blättermann)</li>
          <li>Updated Hungarian translation (Balázs Meskó)</li>
          <li>Updated Indonesian translation (Kukuh Syafaat)</li>
          <li>Updated Italian translation (Janvitus)</li>
          <li>Updated Latvian translation (Rūdolfs Mazurs)</li>
          <li>Updated Polish translation (Piotr Drąg)</li>
          <li>Updated Romanian translation (Daniel Șerbănescu)</li>
          <li>Updated Russian translation (Stas Solovey)</li>
          <li>Updated Swedish translation (Anders Jonsson)</li>
          <li>Updated Slovenian translation (Matej Urbančič)</li>
          <li>Updated Turkish translation (Emin Tufan Çetin)</li>
        </ul>
      </description>
    </release>
  </releases>
  <custom>
    <value key="Purism::form_factor">mobile</value>
  </custom>
</component>
